Package net.shibboleth.idp.plugin.authn.webauthn.policy

# Interface CredentialPolicy

All Superinterfaces:
  `Component`, `IdentifiedComponent`

All Known Implementing Classes:
  `AbstractCredentialPolicyRule`, `ChainingCredentialPolicyRule`, `FunctionalCredentialPolicyRule`, `SecondFactorOnlyCredentialPolicyRule`

public interface CredentialPolicy extends IdentifiedComponent
An API for applying policy checks to an authentication credential.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`CredentialPolicy.CredentialPolicyOutcome`
Representation of the three outcomes of an CredentialPolicy.

## Method Summary

Modifier and Type
Method
Description
`CredentialPolicy.CredentialPolicyOutcome`
`evaluate(EnhancedCredentialRecord credential, ProfileRequestContext prc)`
Execute the policy.

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

## Method Details

### evaluate

CredentialPolicy.CredentialPolicyOutcome evaluate(@Nonnull EnhancedCredentialRecord credential, @Nonnull ProfileRequestContext prc)
Execute the policy.

Parameters:
  `credential` - the credential to accept or reject.
  `prc` - the profile request context
Returns:
  `CredentialPolicy.CredentialPolicyOutcome.ACCEPT` if allowed, `CredentialPolicy.CredentialPolicyOutcome.REJECT` if rejected, and `CredentialPolicy.CredentialPolicyOutcome.IGNORE` otherwise.